0

How can update Magento2.3.5-p1 with the security patch to Magento2.3.5-p2?

I can not find the p2 patch on the Magento website; https://magento.com/tech-resources/download

  • Why done you just use composer? Change the required version for magento in the root composer.json to 2.3.5-p2 – Mark Rees Aug 17 at 21:12
1

That depends on how you installed Magento. Also note you should install updates on a development environment and full test your site before replicating on a production environment.

Composer

# Run from site root 
composer require magento/product-community-edition=2.3.5-p2 --no-update
composer update

Git (Checkout latest tag)

# Run from site root
git fetch --tags
git checkout 2.3.5-p2

Archive

  • Download & unzip latest archive
  • Replace current Magento install files with new Archived versions
| improve this answer | |
  • Thanks, saw that I made a small typo on the composer, that's why it did not work in the beginning. Works fine now, thanks – JGeer Aug 18 at 6:08
  • Magento 2.3.5-p2 supports php 7.2 ? – Hamendra Sunthwal Aug 24 at 6:58

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.